Skip to main content

Content Translator

Translate content between languages using various AI models through the 1min.AI API. This endpoint supports multiple language models for translating content with specified tone, domain, and writing style parameters.

Available Models​

Loading available models...

Request Parameters​

All models share the same request structure:

Field NameTypeSupported ValueDescriptionRequired
typetextCONTENT_TRANSLATORFeature name✔️
modeltextSee available modelsModel identifier✔️
conversationIdtextCONTENT_TRANSLATORConversation ID✔️
promptObject.originalLanguagestringenSource language ISO code✔️
promptObject.targetLanguagestringesTarget language ISO code✔️
promptObject.tonestringfriendlyTranslation tone✔️
promptObject.domainstringTechnology & ComputingContent domain✔️
promptObject.writingStylestringConversationalWriting style✔️
promptObject.promptstringHello, how are you today? I hope you're having a wonderful day!Content to translate✔️

Endpoint​

Request Headers​

FieldValue
API-KEY<api-key>
Content-Typeapplication/json

Code Example​

curl --location 'https://api.1min.ai/api/features' \
--header 'API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"type": "CONTENT_TRANSLATOR",
"model": "gpt-4o",
"conversationId": "CONTENT_TRANSLATOR",
"promptObject": {
"originalLanguage": "en",
"targetLanguage": "es",
"tone": "friendly",
"domain": "Technology & Computing",
"writingStyle": "Conversational",
"prompt": "Hello, how are you today? I hope you'''re having a wonderful day!"
}
}'

Interactive Playground​

Try the API directly in your browser:

Loading interactive playground...

Response Format​

{}